package com.keao.edu.user.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(exam_location):
 */
public class ExamLocation {

	@ApiModelProperty(value = "考点编号")
	private Integer id;

	@ApiModelProperty(value = "考点名称")
	private String name;
	
	@ApiModelProperty(value = "联系名称")
	private String contactName;

	@ApiModelProperty(value = "联系电话")
	private String contactPhone;
	
	@ApiModelProperty(value = "联系地址")
	private String address;

	@ApiModelProperty(value = "是否可用")
	private boolean isAvailable;

	private Integer delFlag;

	private java.util.Date createTime;

	private java.util.Date updateTime;

	private String tenantId;

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setContactName(String contactName){
		this.contactName = contactName;
	}
	
	public String getContactName(){
		return this.contactName;
	}
			
	public void setContactPhone(String contactPhone){
		this.contactPhone = contactPhone;
	}
	
	public String getContactPhone(){
		return this.contactPhone;
	}
			
	public void setAddress(String address){
		this.address = address;
	}
	
	public String getAddress(){
		return this.address;
	}
			
	public void setIsAvailable(boolean isAvailable){
		this.isAvailable = isAvailable;
	}
	
	public boolean isIsAvailable(){
		return this.isAvailable;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
